curl --location 'https://api-sandbox.saaslogic.io/v1/invoices/on-demand' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"customerId": "8ce24020-9c51-4173-9c27-0006143e81b6",
"currencyISOCode": "USD",
"products": [
{
"productId": "4fa99d39-0f53-4afa-bdce-dcc58e60db74",
"lineItems": [
{
"description": "Premium subscription for one month",
"quantity": 1,
"unitPrice": 100,
"taxes": [
{
"description": "Sales Tax",
"taxValue": 5,
"isPercentage": true
}
],
"discounts": [
{
"description": "Discount 5%",
"discountType": "Discount",
"discountValue": 5,
"isPercentage": true
}
]
},
{
"description": "Premium subscription for one month",
"quantity": 1,
"unitPrice": 200,
"taxes": [
{
"description": "Sales Tax",
"taxValue": 5,
"isPercentage": true
}
],
"discounts": [
{
"description": "Discount 5%",
"discountType": "Discount",
"discountValue": 5,
"isPercentage": true
}
]
}
]
}
],
"invoiceDate": "2026-09-28T00:00:00Z",
"invoiceId": "46845e99-f8e4-4y1f6-9361-c7cfd5elf755g9",
"serviceAddressId": "08d877c1-ff4c-4c22-9407-7f28497b7a0e",
"billingAddressId": "fd708743-5bfb-4dcc-9e73-98a9309f56c1",
"notifyCustomer": true,
"invoiceAttributes": [
{
"attributeName": "shippingNumber",
"attributeValue": "SH-34556"
}
]
}'